
D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black
Model DGS-3620-52P-EIPart no. DGS-3620-52P/EIEAN 790069348877
33 specifications
- ConnectivityWired
- ColourBlack
- Switch layerL3
- Basic switching RJ-45 Ethernet ports quantity48
- 10G supportYes
- MAC address table32000 entries
Overview
- Connectivity
- Wired
- Colour
- Black
- Switch layer
- L3
- Basic switching RJ-45 Ethernet ports quantity
- 48
- 10G support
- Yes
- MAC address table
- 32000 entries
- Brand
- D-Link
- Category
- Network Switch
- Model
- DGS-3620-52P-EI
- Part number
- DGS-3620-52P/EI
- EAN / UPC
- 790069348877, 790069354182
- Also known as
- D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black
Specifications
33 specifications in 10 groups
Management features
| Specification | Value |
|---|---|
| Switch layer | L3 |
| Quality of Service (QoS) support | Yes |
| Web-based management | Yes |
| MIB support | RFC1213 MIB-II - RFC1493 Bridge MIB - RFC1907 SNMPv2 MIB - RFC2571~2576 SNMP MIB - RFC1271, 2819 RMON MIB - RFC2021 RMON v2 MIB - RFC2665 Ether-like MIB - RFC2668 MAU MIB - RFC2674 802.1p MIB - RFC2233, 2863 IF MIB - RFC2618 RADIUS Authentication Client MIB - RFC1724 RIP v2 MIB - RFC1850 OSPF v2 MIB |
Ports & interfaces
| Specification | Value |
|---|---|
| Basic switching RJ-45 Ethernet ports quantity | 48 |
| Gigabit Ethernet (copper) ports quantity | 4 |
| SFP/SFP+ slots quantity | 4 |
| SFP+ module slots quantity | 4 |
| Console port | RJ-45 |
| Power connector | DC-in jack |
Network
| Specification | Value |
|---|---|
| 10G support | Yes |
| Full duplex | Yes |
| Auto MDI/MDI-X | Yes |
| Flow control support | Yes |
Data transmission
| Specification | Value |
|---|---|
| MAC address table | 32000 entries |
| Supported data transfer rates | 10/100/1000 Mbps |
| Switching capacity | 176 Gbit/s |
| Jumbo frames support | Yes |
| Packet buffer memory | 2 MB |
Security
| Specification | Value |
|---|---|
| DHCP features | DHCP server, DHCP client |
Protocols
| Specification | Value |
|---|---|
| Management protocols | Single IP Management v1.6 - CLI - Telnet Server - Telnet Client - SNMP v1, v2c, v3 - SNMP Trap on MAC Notification - BootP/DHCP Client - System Log - Trap/Alarm/Log Severity Control - Flash File System - CPU Monitoring via Web, CLI, SNMP - Virtual Interface2 - Web-based GUI - Web GUI Traffic Monitor |
Design
| Specification | Value |
|---|---|
| Rack mounting | Yes |
| Product colour | Black |
| LED indicators | Yes |
Power
| Specification | Value |
|---|---|
| Input voltage | 100 - 240 V |
| Power consumption (typical) | 370 W |
Power over Ethernet (PoE)
| Specification | Value |
|---|---|
| Power over Ethernet (PoE) | Yes |
Other features
| Specification | Value |
|---|---|
| Data transfer rate | 130.95 Mbit/s |
| Connectivity technology | Wired |
| Input frequency | 50 / 60 Hz |
| Networking features | Gigabit Ethernet |
| Power LED | Yes |
| Wi-Fi | No |
What people say
Reviews & ratings
D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black
No reviews yet
Be the first to tell others how D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black works for you.
Write the first review- Every rating countsLow ratings are never hidden, removed or pushed down.
- Written by people, never paidNo incentives, no edits — only spam and abuse are removed.
- Private by designOnly the name you choose is shown. No account, no e-mail, nothing tracked.
Compare D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black
All network switch comparisons- D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black vsD-Link DGS-3620-28PC/EI network switch Managed L3 Power over Ethernet (PoE) BlackCompare specs
- D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black vsD-Link DGS-3620-28PC/SI network switch Managed L3 Power over Ethernet (PoE) BlackCompare specs
- D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black vsD-Link DGS-3620-52P-SI L3 Power over Ethernet (PoE) 1U BlackCompare specs
- D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black vsD-Link 16-Port 10/100 Desktop SwitchCompare specs
- D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black vsHP V 1810-48G Managed L2 Gigabit Ethernet (10/100/1000) 1U BlackCompare specs
- D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black vsAllied Telesis AT-SB4412 network switch UnmanagedCompare specs
- D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black vsLindy 25026 network switch Managed L2 1UCompare specs
- D-Link DGS-3620-52P-EI L3 Power over Ethernet (PoE) Black vsi-tec SW100P8 network switch Managed L2 BlackCompare specs
Similar products
All network switchesD-Link
DGS-3130 Series Gigabit Layer 3 Stackable Managed Switches
Model DGS-3130-30PS
- Noise
- 53.4 dB
- Weight
- 4.66 kg
- Colour
- Black, Grey
D-Link
48-port Layer 3 Stackable Managed Gigabit Switch including
Model DGS-3630-52TC
- Noise
- 53.9 dB
- Type
- 1U
- Weight
- 4.04 kg
D-Link
24-Port L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28TC
- Noise
- 52.7 dB
- Type
- 1U
- Weight
- 3.74 kg
LevelOne
18-Port L2 Plus Managed Industrial PoE Switch
Model IGP-1871
- Memory
- 512 MB
- Weight
- 1.55 kg
- Colour
- Black
D-Link
24-Port SFP L3 Stackable Managed Gigabit Switch including
Model DGS-3630-28SC
- Noise
- 56 dB
- Type
- 1U
- Weight
- 3.79 kg
D-Link
28-Port Gigabit PoE+ Smart Managed Switch including
Model DGS-1210-28MP
- Memory
- 128 MB
- Noise
- 52.4 dB
- Type
- 1U
NETGEAR
M4350-36X4V network switch Managed L3
Model M4350-36X4V
- Processor
- ARM Cortex-A57
- Memory
- 4096 MB
- Noise
- 54 dB


















